Introduction

Welcome
To
Microangelo 5.5

Microangelo 5.5 supports all 32-bit Windows desktop platforms from Windows 95 through Windows XP. Its components are designed to maximize performance and deliver the widest array of features to all Windows platforms.

What Can I Do?

What's New in this Release?

System Requirements


What can I do?

What do you want to do?

Improve my computer's icon display How?
Browse, view, and search for icons. How?
Change icons and cursors on my computer. How?
Organize icons in libraries. How?
Edit icons and cursors. How?


What's new in this release

Microangelo 5.5 delivers complete support for the rich image quality introduced by Windows XP icons. From the external graphics on the outside to deep inside the program code, all of Microangelo's components do more and do it better than ever before. Here are some of the newest updates that you'll enjoy:

Support for Windows XP icons (Windows 98,ME,NT4,2000,XP)
 | Create and edit True Color images with 256 levels of transparency. Five editing modes allow combined and independent editing of RGB color and transparency values.
 | Add Windows XP drop shadows with a click of the mouse.
 | Intelligent anti-alias feature blends color over color as well as color over transparency.
 | Drag and drop images directly from Photoshop (PSD) or bitmap (BMP) image files.
 | Add new, Windows XP image formats to existing program files. A great tool to spice up your existing programs or add the professional touch for developers using Macromedia products.
 | Change icon settings under Windows XP without losing your desktop icon locations. (Windows XP resets the desktop icon locations when it rebuilds its system cache of icon images.)
More good stuff...
 | Create and edit Alpha-blended Cursors for use with Windows 2000 or XP. These cursor formats offer 256 levels of transparency that can be used to create stunning cursor effects.
 | Check Latest Version feature in Setup and on all Help menus let's you know if you're running the most up-to-date code.
 | Greater control over desktop components. Choose to load or unload desktop code. Add or remove the MOD icon displayed in the system notification area.
 | Expanded Search support. Locate more icons. View detailed status of search operation. Interrupt a search in progress.
 | Completely replace one icon resource with ALL of the image formats of another icon in any Windows application file (exe, dll, etc...).
 | No more limitations on the number of icons that can be stored in an icon library.
 | ** Denotes features that require NT4, Windows 2000 or Windows XP.


System requirements

Software Requirements

Microangelo recognizes and supports all 32-bit Windows desktop operating systems including Windows 95, Windows 98, Windows ME, Windows NT 4.0, Windows 2000, and Windows XP.
Customizing standard folder icons under Windows 95 and NT 4.0 systems requires the Active Desktop update distributed with Internet Explorer 4.01 All other icons can be customized without the Active Desktop update.

Hardware Requirements

SVGA - minimum of 65K colors (16-bit) recommended
486 CPU or higher (Pentium recommended for animation)
16 MB RAM
10 MB free disk space


How To

The following chapters include step-by-step procedures and detailed information on the features and capabilities that Microangelo provides.

  • Improving Your Computer's Icon Display

  • Browsing, Searching and Viewing

  • Changing Icons and Cursors

  • Organizing Icons in Libraries

  • Editing Icons and Cursors


Browsing, Searching, and Viewing

Microangelo's components offer a variety of ways to locate and access files containing icons and cursors. The Explorer, Librarian and Studio components work together to flexibly support accessing these files at different levels.

Browse for icons and cursors. How?
Search for icons. How?
View icons in libraries, programs, or other files. How?


Browse for icons and cursors with Explorer

Microangelo Explorer helps you browse for icons and cursors by displaying only those files that contain what you're looking for. Its user interface was designed based upon Windows Explorer. The folder pane on the left displays a tree view of all computers, drives and folders available from your system. The viewing pane on the right displays the contents of the folder pane selection.

Click on the plus signs (+) in the folder pane to expand objects beneath.
Click on any network, computer, drive or folder in the folder pane to view its contents.
Double-click on any network, computer, drive or folder in the viewing pane to view its contents.
Click on the Parent Folder toolbar button on the toolbar to move up one level.

What do you want to do?

Browse for icons

Browse for cursors

Browse for animated resources


Searching for icons

Microangelo Librarian's workspace can be used to collect the results of an icon search operation. Librarian can be used to search a folder or disk drive and any sub-folders underneath. Working together with Explorer, Librarian can search multiple drives or folders in a single search operation.

What do you want to do?

  • Search drive or folder

  • Search multiple drives or folders


View icons in libraries, programs, and other files

The Librarian component in Microangelo can be used to view icons embedded in program files and icon libraries.

To view icons in libraries and programs:

  1. Launch Microangelo Explorer.

  2. In the toolbar, select the Display drop-down, and set it to Icon Libraries or Program Files.

  3. Using the left window panel of Explorer, navigate to and select the computer, drive, or folder you want to browse.

  4. Double-click on the file to open it for viewing in Librarian.

-or-

  1. Launch Microangelo Librarian.

  2. From the File menu select Open.

  3. In the Files of type drop-down control, choose Icon Libraries or Program Files.

  4. Select the file and click the Open button.

To view Icon Resources (ICO):

  1. Launch Microangelo Explorer.

  2. In the toolbar, select the Display drop-down, and set it to Icon Resources.

  3. Using the left window panel of Explorer, navigate to and select the computer, drive, or folder you want to browse.

  4. Double-click on the file to open it for viewing in Librarian.

-or-

  1. Launch Microangelo Librarian.

  2. From the File menu select Open.

  3. In the Files of type drop-down control, choose Icon Resources.

  4. Select the file(s) and click the Open button.


Organizing Icons in Libraries

Microangelo Librarian can be used to organize groups of icons into libraries. Icons can be dragged and dropped between Librarian windows. Any file that contains icons can be dragged from Microangelo Explorer, any open folder, or Windows Explorer and dropped into a Librarian window.

Librarian Overview
Add icons to libraries. How?
Remove icons from libraries. How?
Remove image formats from libraries. How?


Librarian overview

Microangelo Librarian accesses icons inside of icon libraries, program files and libraries, and other executable files.

Opening a library or file

  1. Launch Microangelo Librarian.

  2. Select Open from Librarian's File menu.

  3. Set the Files of type control for the type of file being opened. The Icon Files setting includes all of the file types that Librarian processes.

  4. Use the Open File dialog controls to locate and select the file.

  5. Select Open.

Appears on the left side of the status bar when all operations are permitted in the workspace.
Appears when operations are limited. Icons cannot be added or removed from program files. Image formats can only be added or removed when running under Windows 2000, XP, or NT4.

Librarian Viewing Modes

Specific mode displays images that match the format selected in the toolbar's Image Format control.
Raw mode displays all image formats included in each icon.
Desktop mode displays a large icon, as it would appear on the current system.
Windows mode displays both large and small icons, as they would appear on the current system.

Arranging Icons inside a Library

Icons can be dragged and dropped to rearrange the order in which they appear. This can be done in all viewing modes except Raw. One or more icons can be selected, dragged and dropped to another location in the viewing window.


Add icons to libraries

Open the icon library with Microangelo Librarian. Icons are easily added to Librarian's workspace by dragging them from:

Another Librarian window
Microangelo Explorer
Windows Explorer
Any open folder

Tip

Select New Window from Librarian's File menu if you want to drag icons from other libraries or program files. This will open a new Librarian window and position both windows for the drag and drop operations.

Related Topics

Edit an icon inside a library or program

Remove an icon from a library

Remove a specific image format

Search for icons with Librarian


Remove icons from libraries

  1. Open the icon library with Microangelo Librarian.

  2. Select the icon(s) to be deleted.

  3. Select Delete from Librarian's Edit menu.

Tip

Multiple icons can be selected for this action.

  • Depress the left button down outside of an icon and then drag to select a rectangular area within the workspace.

    • -or-

  • Hold down the CTRL key while left clicking on an icon to add it or remove it from the current selection.

Related Topics

  • Edit an icon inside a library or program

  • Remove a specific image format

  • Search for icons with Librarian


Remove image formats from libraries

Remove a specific image format

Microangelo Librarian can remove specific image formats from one or more icons in an icon library.

  1. Open the icon library with Microangelo Librarian.

  2. Select Specific from Librarian's View menu.

  3. Select the image format to delete using the Image Format control on Librarian's toolbar.

  4. Select the icon(s) the current format will be deleted from.

  5. Select Delete Format from Librarian's Edit menu.

Tip

Multiple icons can be selected for this action.

  • Depress the left button down outside of an icon and then drag to select a rectangular area within the workspace.

    • -or-

  • Hold down the CTRL key while left clicking on an icon to add it or remove it from the current selection.

Related Topics

  • Edit an icon inside a library or program

  • Remove an icon from a library

  • Search for icons with Librarian


Editing Icons and Cursors

Microangelo includes two image editors, Studio and Animator. Each is used to create and edit individual icon and cursor files. Studio is designed to work with static icon and cursors resources (ICO and CUR). Working together with Librarian, Studio can edit icons inside of icon libraries and program files. Animator is used with animated icons and cursors (ANI). Both provide consistent user interfaces. The following topics provide in-depth information on their use:

Setting Program Preferences:

General

Image Formats

Transparency Background

Message Alerts

Editing Different File Types:

Editing a static icon or cursor resource

Editing an animated icon or cursor

Editing an icon inside an icon library

Editing an icon inside a program file

Editing Topics:

Creating icons for Windows

Editing tools

Windows XP Tools

Color A and B usage

Paint Modifiers

Adding/Removing images

Colors and palettes

Importing bitmaps

Clipboard functions

Setting a cursor's hot spot


Program Preferences

User Preferences

The Preferences dialog is used to customize program features and actions. The dialog's tabs provide the ability to tailor features in four different areas.

General

The format that Studio uses to display RGB information and the action the Undo Pencil command performs can be changed using the General tab.

Image Formats

The specific image formats and the order that Microangelo offers to add new formats can be customized using the Image Formats tab.

Transparency

The manner that Studio displays transparent areas in the main edit area and the Preview window can be customized using the Transparency tab.

Message Alerts

Some of the warning messages displayed by Studio and Animator can be toggled on or off using the Message Alerts tab.


Preferences: General

The format that Studio uses to display RGB information and the action the Undo Pencil command performs can be changed using the program Preferences dialog.

Setting General Preferences:

  1. Select Preferences... from Studio’s File menu..

  2. Select the General tab.

  3. Select your choices in the Undo Pencil Action and RGB Status areas.

  4. Click OK.

Related Topics

  • Image Format Preferences

  • Transparency Preferences

  • Message Alert Preferences


Preferences: Image Formats

The image formats and the order that Microangelo offers to add new image formats can be customized using the program Preferences dialog.

Setting Image Format Preferences:

  1. Select Preferences... from Studio’s File menu..

  2. Select the Image Formats tab.

  3. Use the Add and Remove buttons to define the image formats you prefer.

  4. Use the Up and Down buttons to set the order that you normally add new formats to your icons.

  5. Click OK.

Related Topics

  • General Preferences

  • Transparency Preferences

  • Message Alert Preferences


Preferences: Transparency

The manner that Studio displays transparent areas in the main edit area and the Preview window can be customized using the program Preferences dialog.

Setting Transparency Preferences:

  1. Select Preferences... from Studio’s File menu..

  2. Select the Transparency tab.

  3. Click inside the Background Color rectangle to change the color that Studio displays underneath transparent pixels.

  4. Use the Grid size and Grid colors controls to define the background texture grid that Studio makes available when editing Windows XP images.

  5. Click OK.

Related Topics

  • General Preferences

  • Image Format Preferences

  • Message Alert Preferences


Preferences: Message Alerts

Some of the warning messages displayed by Studio can be toggled on or off using the program Preferences dialog.

Setting Message Alert Preferences:

  1. Select Preferences... from Studio’s File menu..

  2. Select the Message Alerts tab.

  3. Use the checkboxes to toggle the display of messages to your preference.

  4. Click OK.

Related Topics

  • Image Format Preferences

  • Transparency Preferences

  • General Preferences


Editing Different File Types

The following topics provide specific details for editing icons and cursors inside different types of files:

  • Editing a static icon or cursor resource

  • Editing an animated icon or cursor

  • Editing an icon inside an icon library

  • Editing an icon inside a program file


Editing a static icon or cursor resource

Microangelo Studio is used to create and edit these types of files.

Icon or Cursor?

  1. Cursors only contain 32x32 size images - Studio will enforce this rule when opening or saving resources. This is the only size that Windows desktop platforms support. Icons usually contain images in 16x16, 32x32, and 48x48 sizes.

  2. Cursors have a hot spot. This is the pixel whose screen position is sent to your programs. Studio enables the Hot Spot tool when editing a cursor file.

To create a static icon or cursor:

  1. Launch Microangelo Studio.

  2. Select New from Studio's File menu.

  3. Select Icon or Cursor in the New Resource dialog.

Tip

You can pre-select the order that Studio adds image formats to icons and cursors. Select Preferences from Studio's File menu. Use the controls on the Image Formats tab to select the formats and sequence that work best for your project.

To edit an existing icon or cursor:

  1. Launch Microangelo Studio.

  2. Select Open from Studio's File menu.

  3. Select the type of file to open using the Files of type control.

  4. Use the Open File dialog controls to locate and select the file.

  5. Select Open.

Editing Topics:

Editing tools

Color A and B usage

Paint Modifiers

Adding/Removing images

Colors and palettes

Importing bitmaps

Clipboard functions

Setting a cursor's hot spot


Editing an animated icon or cursor

Microangelo Animator is used to create and edit these types of files.

Icon or Cursor?

  1. Cursors only contain 32x32 size images - Studio will enforce this rule when opening or saving resources. This is the only size that Windows desktop platforms support. Icons can be created in 32x32 or 48x48 sizes.

  2. Cursors have a hot spot. This is the pixel whose screen position is sent to your programs. Studio enables the Hot Spot tool when editing a cursor file.

To create an animated icon or cursor

  1. Launch Microangelo Animator.

  2. Select New from Animator's File menu.

  3. Select the type, size and color depth of the new icon or cursor.

  4. Select OK.

To edit an existing animated icon or cursor

  1. Launch Microangelo Animator.

  2. Select Open from Animators's File menu.

  3. Use the Open File dialog controls to locate and select the file.

  4. Select Open.

Editing Topics:

Editing tools

Color A and B usage

Paint Modifiers

Adding/Removing images

Colors and palettes

Importing bitmaps

Clipboard functions

Setting a cursor's hot spot


Editing an icon inside an icon library

Microangelo Librarian and Studio work together to provide this functionality.

To create a new icon in a library

  1. Launch Microangelo Librarian.

  2. Open the library file.

  3. Select New Icon from Librarian's Edit menu.

To edit an icon in a library

  1. Launch Microangelo Librarian.

  2. Open the library that contains the icon to edit.

  3. Double-click the icon to be edited.

Librarian will open an edit session with Studio for each of the above procedures.

Editing Topics:

Editing tools

Color A and B usage

Paint Modifiers

Adding/Removing images

Colors and palettes

Importing bitmaps

Clipboard functions

Setting a cursor's hot spot


Editing an icon inside a program file

Microangelo Librarian and Studio work together to provide this functionality. Icons can be edited in EXE, DLL, CPL, OCX, and SCR program files. The procedure is exactly the same as for editing an icon inside an icon library. The difference is that the editing operations are limited.

The following rules apply when editing an icon in one of these file types:
 | Icons cannot be added or removed.
 | Icons cannot be renamed.
 | Image formats cannot be added or removed when running under Win9x or ME. (Image formats can be added and removed when running under Windows 2000, XP, or NT4.)


Editing Topics

Editing Topics

Editing tools

Color A and B usage

Paint Modifiers

Adding/Removing images

Colors and palettes

Importing bitmaps

Clipboard functions

Setting a cursor's hot spot


Creating Icons for Windows

The latest Microsoft® Windows® platform, Windows XP, introduces a new style in icon design. The Windows XP icon is all about fun, color, and energy. New, 32-bit versions of the icons provide smooth edges over any background.

The following guidelines walk you through the steps of designing and creating Windows XP-style icons. These guidelines contain complete information for professional designers that will benefit authors of all levels of experience. If you are a professional developer, consider working together with a good graphic designer.

Creating Icons for Windows

Overview | An informative overview of icon design. Learn the latest design guides covering icon styles, sizes, color depth and palettes, angles and grouping, drop shadows and more.
Step 1 | Conceptualize. Important design considerations to review before creating Windows icons. Includes examples of many common icons used in the latest Windows platforms and applications.
Step 2 | Illustrate. Use Microangelo Studio alone or together with other graphic design tools to create your Windows XP images first.
Step 3 | Add the drop shadow. Microangelo Studio makes it easy!
Step 4 | Create the 8-bit and 4-bit images. Procedures and tips you can use to create the images required by Windows platforms before Windows XP.


Editing tools

Studio and Animator include a wide assortment of tools used to edit icon and cursor images. These tools are accessed from the vertical and horizontal tool bars that appear to the left and above the editing area.

Tool Types:

Drawing tools

Selection Frame

Eyedropper (pick up color)

Color Locator

Nudge tools (shift image)

Mirror tools (flip image)

Rotate tool

Screen Capture


Windows XP Tools

Microangelo Studio offers several additional tools and features when editing Windows XP images:

Five editing modes are provided to view and edit the color and alpha (transparency) information.
An enhanced Palette window offers additional features to support transparency values in the image's alpha channel.
An option to display a textured background in the editing grid.
A one-click drop shadow effect meeting Microsoft's recommended specifications for Windows XP icons.


Color A & B usage

Studio and Animator display the current Color A and B choices to the upper left of the editing area directly above the tool palette. Select the desired A and B colors by clicking the left or right mouse button in the Palette window over the inkwell containing the desired color.

The following table lists the usage of Color A and Color B when editing an image in Studio or Animator.

Operation | Color usage
Draw/Paint | Left mouse button provides Color A, right button Color B.
Color Eraser | Left mouse button changes Color A to Color B, right button B to A.
Draw Text | Text is drawn using Color A on a background of Color B. If configured, text can be drawn without a background over existing artwork. (see Color B in Selection).
Edit Cut | Color B fills the area exposed by cut.
Edit Paste | Color B can be used as a mask when pasting over existing artwork. If configured, Color B pixels in the image being pasted act transparent until the paste is completed. (see Color B in Selection).
Drag Selection | If configured, Color B pixels in the Selection Frame act transparent when dragged. (see Color B in Selection).


Paint Modifiers

The Paint Modifiers tool window is used to modify how the editing tools apply or alter color. The choices on the Pixels tab are always available for use. All other paint modifiers require unlimited access to colors and are therefore available only when editing True Color and Windows XP images.

Paint modifiers can be used alone or in combinations. For example, a gradient can be painted with anti-alias processing to smooth its edges, or an area can be "flooded" with a gradient that only paints every other pixel.

The following topics contain describe paint modifiers by category:

  • Pixels - control which pixels are affected by editing tools.

  • Effect - create gradient blends, dodge (lighten) or burn (darken) pixel colors.

  • Edges - apply anti-alias processing to smooth edges.


Adding and Removing images

Two tool buttons are provided to add and remove images from icons or animated cursors. The tool buttons are located on the right side of Studio and Animator, directly above the list of images.

Studio

The New Image Format tool button brings up a dialog used to select the size and color depth for the image. The Begin New Image Using Current Image checkbox allows the new image to be initialized using the current image.

Studio

Add/Remove
Image Formats

Animator

The Insert Frames tool button brings up a dialog used to add one or more frames either before or after the current frame. The Fill new frames using contents of current frame checkbox is used to copy the current frame to the new frame(s).

Animator

Add/Remove
Frames

Related Topics

Preferences: Image Formats


Colors and palettes

The following information describes how colors and palettes are used in Microangelo Studio and Animator.

A and B Colors

Microangelo's editing tools make use of two colors, Color A and Color B. The current A and B colors are displayed above the drawing tools on left side of the edit area. See Color A and B usage for more information on how these selections are used for different operations.

Selecting Colors for Drawing and Editing

Studio and Animator both provide a Palette window to select colors used by the editing tools. The Palette window contains inkwells filled with different colors of ink. Select the colors used for Color A or Color B by clicking the left or right mouse button over the inkwell containing the desired color.

Changing Color Palettes

Color palettes can be saved to disk and re-opened when editing 256-color or True Color images.

Transparent and Inverse Colors

In addition to regular colors, the Palette window also includes two special inkwells containing transparent and inverse ink. These selections can be used to create transparent and inverse effects when the images are displayed.

Blending New Colors

A Color Blend area is included at the bottom of the Palette Window when editing 256-color or True Color images.


Importing Graphics

Graphic files can be imported into an image using several procedures that provide different results.

  • Importing Image Formats using (drag and drop) is the easiest procedure if your images are already in the sizes and color depths you want to create. Just drag and drop BMP, PSD, or PNG files into Studio's main window. New images will be created for each graphic file dropped into Studio.

  • File -> Import... replaces the entire contents of the current image and also updating the colors in the Palette window with the palette of the imported graphic. The Import function can process bitmap (BMP), Photoshop (PSD), and Portable Network Graphic (PNG) files.

  • Paste Special (clipboard function) can open graphics into a Selection Frame. In this case the image is scaled into the selection frame. If the current image is not True Color, the image is translated as best as possible into the current color palette.


Clipboard functions

Images can be manipulated using the standard Cut, Copy, and Paste clipboard functions available on the Edit menu or toolbar buttons. Studio and Animator provide enhanced support for transparency when moving images within or between either component. Further flexibility is available using the Paste Special command, available only on the Edit menu.

Cut

The contents of the Selection Frame are posted to the clipboard and the area is filled with Color B.

Copy

The contents of the Selection Frame are posted to the clipboard.

Paste

The contents of the clipboard are pasted into a new Selection Frame. The new selection can be dragged to the desired location. Any pixels in the selection that match Color B may act transparent while the image is pasted depending on the current setting of Color B in Selection.

NOTE: If the current image uses a color palette (256 or less colors), the image being pasted is translated as best as possible using the colors available in the palette.

Paste Special

Paste Special can be used to access images from the clipboard or external bitmaps. It can place the result into the current selection or create a new selection, either of which can be dragged to the desired location. Any pixels in the pasted selection that match Color B may act transparent while the image is pasted depending on the current setting of Color B in Selection .


Setting a cursor's Hot Spot

All cursors, static and animated, use the concept of a hot spot. The location that lies underneath the hot spot pixel in a cursor is passed to applications as the cursor is moved and as mouse buttons are pressed and released. If undefined, Windows will assume a hot spot in the upper-left pixel of the cursor (0,0).

To set the hot spot in a cursor image:

  1. Click on the Hot Spot tool button. The current hot spot of the image will blink momentarily.

  2. Click the left mouse button on any pixel in the image to move the hot spot to a new location.


Reference Information

Authoring Topics

  • Image formats

  • Color depth

  • Animated resources

Keyboard Shortcuts

  • Librarian keyboard shortcuts

  • Studio keyboard shortcuts

  • Animator keyboard shortcuts


Authoring Topics

Icon authors need to consider the Windows versions and video configuration(s) of their target audience, and understand how differences will affect the appearance of icons.

This chapter explains:

Different icon sizes used by Windows.
Where Windows uses different sizes.
When to use True Color images.
What image formats you should include in an icon or cursor.
How Windows uses, and sometimes converts, the information inside of an icon or cursor resource.
Color depth issues and answers.
Animated resource considerations.

Related Topics

Image formats

Color depth

Animated resources


Image formats

Unlike other graphics formats, icon and cursor resources can and should contain more than one graphic representation.

An icon resource should contain images in different sizes and color depths.

Cursor images are always 32x32 pixels in size. Like icon resources, they can also include images in multiple color depths.

The following topics cover aspects of multiple image formats:

  • Icon sizes and where they are used

  • Recommended image formats

  • How Windows chooses an image format

  • Color depth compatibility issues


Color depth

The color depth of an icon or cursor image involves issues that affect both end-users and authors. It is important that authors understand both perspectives to be able to make the best choices when creating their own icons and cursors.

The following topics cover different aspects of image color depth.

  • Color depth overview

  • Color depth compatibility issues

  • How Windows chooses an image format

  • Recommended image formats


Animated resources

Animated icons and cursors share many similarities with their static counterparts. That's because ANI files are created from a collection of static icon or cursor images - the same image formats that can be found in ICO and CUR files. In fact, because ANI files use icon and cursor image formats, there is only one additional consideration to make when authoring and distributing animated icons and cursors.

One image format per file

Unlike ICO and CUR files, ANI resource files only contain a single image format. This means that a single ANI file cannot extend support for all Windows configurations.

You should consider your target audience when you create animated icons and cursors and provide multiple ANI files if required.

Animated Cursors

Since all cursors are 32x32 pixels in size, the only consideration you need to make is what color depth(s) you will create. For example, the original Windows Plus! package includes animated cursors in both 16 and 256 color formats such as "My Icon.ani" and "My Icon (hi-color).ani".

Animated Icons

Animated icons are a feature of Microangelo On Display, not Windows. Your target audience will be limited to users who have On Display or another utility that displays ANI files. Image size becomes more important than color depth. From our experience, Microangelo users are almost always able to display hi-color icons, but some use standard (32 pixel) desktop icons and others use Large (48 pixel) icons. An animated 32x32 icon will not look its best when installed to a system configured for 48x48 icons. The image will be "stretched" by Windows to meet the 48x48 requirement.


Keyboard shortcuts

Use the following links to view keyboard shortcuts for Microangelo components.

  • Librarian keyboard shortcuts

  • Studio keyboard shortcuts

  • Animator keyboard shortcuts


Librarian keyboard shortcuts

Keystroke | Action
DEL | Delete the selected icon(s).
F2 | Rename the selected icon.
F5 | Refresh/arrange the workplace display.
ENTER | Edit the selected icon.
CTRL + A | Select all.
CTRL + O | Open a file.
CTRL + S | Save to disk.
ALT + ENTER | View properties of current file if no icons are selected, or view properties of selected icon if a single icon is selected.
ALT + N | Open a new Librarian window.
ALT + X | Launch Microangelo Explorer.
ALT + F4 | Exit.


Studio keyboard shortcuts

Keystroke | Action
DEL | Clear. (Fill selection with Color B).
SHIFT + DEL | Cut.
SHIFT + INSERT | Paste.
CTRL + INSERT | Copy.
CTRL + C | Copy.
CTRL + X | Cut.
CTRL + V | Paste.
CTRL + A | Select all.
CTRL + O | Open a file.
CTRL + S | Save to disk.
CTRL + Y | Redo.
CTRL + Z | Undo.
ALT + BACKSPACE | Undo.
CTRL + I | New image format.
ALT + R | Remove image format.
CTL + 1 | View Blended/Edit All.
CTL + 2 | View Blended/Edit Color.
CTL + 3 | View Blended/Edit Alpha.
CTL + 4 | View Color/Edit Color.
CTL + 5 | View Alpha/Edit Alpha.
ALT + P | Palette window menu.
ALT + A | Update Librarian and Exit (when editing for Librarian).
ALT + ENTER | View properties of current image format.
ALT + N | Open a new Studio window.
ALT + X | Launch Microangelo Explorer.
ALT + F4 | Exit.


Animator keyboard shortcuts

Keystroke | Action
SPACE | Stop/start preview animation.
DEL | Clear. (Fill selection with Color B).
SHIFT + DEL | Cut.
SHIFT + INSERT | Paste.
CTRL + INSERT | Copy.
CTRL + C | Copy.
CTRL + X | Cut.
CTRL + V | Paste.
CTRL + A | Select all.
CTRL + O | Open a file.
CTRL + S | Save to disk.
CTRL + Y | Redo.
CTRL + Z | Undo.
ALT + BACKSPACE | Undo.
CTRL + I | New frame.
ALT + R | Remove frame.
ALT + P | Palette window menu.
ALT + ENTER | View properties of current frame.
ALT + N | Open a new Animator window.
ALT + X | Launch Microangelo Explorer.
ALT + F4 | Exit.


Contact Eclipsit

Microangelo Web Site http://www.microangelo.us
Product Sales
Email: Phone: | info@eclipsit.com 800/777.7687 (sales only) 949/494.8353
Customer Service
Email: Phone: | service@eclipsit.com 949/494.8353
Technical Support
Email: Phone: | support@eclipsit.com 909/590.0500 (Phone support is limited to 9AM-12PM Pacific time on Monday, Wednesday and Friday.)
Fax 949/215.2917
Mail Eclipsit Corporation P.O. Box 4527 Laguna Beach, CA 92652-4527 USA


Troubleshooting

The following topics describe problems you may encounter and how to avoid or resolve them.

Troubleshooting topics

  • Incorrect icon(s) display after changing an icon

  • Fuzzy or blurred icon display

  • Icon displays with incorrect colors

  • General compatibility topics


Incorrect icon(s) display after changing an icon

Microangelo is designed to perform icon configuration changes in an elegant and reliable manner. Windows platforms may fail to properly update the images they display. Sometimes Windows does not update all images of an icon after it has been properly reconfigured. The Rebuild System Cache feature, available in Microangelo's On Display component, can prompt Windows to "try again".

Rebuilding the system cache:

  1. Launch On Display.

  2. Select the Advanced tab.

  3. Click the Rebuild System Cache button.

  4. On Display will confirm the cache file has been rebuilt.

Removing a damaged cache:

Windows NT 4.0 is by far the platform most likely to improperly update its display when an icon is reconfigured. The Remove Damaged Cache function was designed especially for the Windows NT 4.0 platform. This function removes the damaged cache and prevents Windows from replacing it with the corrupted information.

Note

On Display will reboot your computer to complete this process.

  1. Launch On Display.

  2. Select the Advanced tab.

  3. Click the Remove Damaged Cache button.

  4. A confirmation dialog will appear. Select OK to continue.

  5. On Display will report its progress and indicate successful completion before rebooting the computer.


Fuzzy or blurred icon display

This may occur when the system icon size is changed between standard and large, and Windows does not complete the reconfiguration. Use On Display to switch between standard and large sizes to resolve this problem.

  1. Launch On Display.

  2. Check or uncheck the Use Large Icons checkbox.

  3. Click Apply. Your desktop will refresh with the new icon size.

  4. Check or uncheck the Use Large Icons checkbox to return to the desired setting.

  5. Click Apply.


Icon displays with incorrect colors

This can occur when the icon only includes images in a color depth higher than your system is configured to display. The number of colors that Windows is able to display in icon images is dependent on two settings. The system video display must be configured to display greater than 256 colors. The color depth of the system image cache must also be increased to a minimum of 65 thousand colors.

Configure the system video color depth

  1. Click Start and point to Settings.

  2. Select Control Panel. The Control Panel window will open.

  3. Double-click the Display icon. A Display Properties dialog will appear.

  4. Select the Settings tab.

  5. Use the Color Palette (Colors on some platforms) control to select a color depth greater than 256 colors.

  6. Click OK.

Configure the system image color depth

NOTE: The following information does not apply to Windows XP, because Windows XP automatically adjusts the system color depth for the best icon display.

  1. Launch On Display.

  2. Click [image] to access the Icon Color Depth dialog.

  3. Select 16-bit or 24-bit color, click OK, then Apply the changes.

  4. On Display will prompt you to restart Windows.


General compatibility topics

Microangelo recognizes and supports all Windows desktop platforms. Microsoft has continued to enhance the capabilities of Windows desktop platforms since the debut of Windows 95. Microangelo is designed to offer the widest array of features possible for each Windows desktop platform.

Platform Integrity

Our experience indicates that the consumer versions of Windows (Windows 95, 98, and Millennium) remain the most reliable desktop platforms for managing and displaying icon images. Despite their reliability, these Windows platforms may not always update the display properly when an icon is reconfigured. When this occurs, the Rebuild Icon Cache feature of On Display can be used to cause Windows to "try again" and usually corrects any improper display of images.

Windows NT4

This platform displays images improperly from True Color sources. Authors should not include True Color image formats in their resources if the target audience includes users running NT4.

Windows NT 4.0 also has a major problem rebuilding its list of system images when an icon is reconfigured. It often corrupts the system cache of images and displays the wrong images for icons and shortcut arrows. The Remove Damaged Cache feature was designed specifically to address the cache problems caused by NT4

Compatibility with third-party software

All Microangelo components are designed as well-behaved applications that work according to the standards, rules and procedures of the Windows platforms they support. Awareness and conformance to these guidelines is absolutely necessary to provide a reliable environment for all applications and utilities on the system. Microangelo works together with the Windows shell and relies on it to display images properly throughout the operating system. Other desktop enhancement software utilities or shell replacements must also conform to the same standards, rules and guidelines if they are to faithfully reproduce custom icon configurations and not interfere with the enhanced functionality that Microangelo delivers.


Application Files Defintion

Program Files

These files have the file extensions EXE, DLL, CPL, OCX, and SCR. They contain icons as well as program code and other resources used by the application. Librarian will allow these files to be viewed and allow icons inside of them to be edited. It will not allow icons to be added or deleted.


Browse for animated resources

  1. Launch Microangelo Explorer.

  2. In the toolbar, select the Display drop-down, and set it to Animated Resources.

  3. Using the left window panel of Explorer, navigate to and select the computer, drive, or folder you want to browse.

  4. In the right window panel of Explorer, the animated file(s) will display.

Tip

Double-clicking an ANI file in Microangelo Explorer will launch an edit session in Microangelo Animator.

Related Topics

Browse for cursors

Browse for icons


Browse for cursors

  1. Launch Microangelo Explorer.

  2. In the toolbar, select the Display drop-down, and select the Cursor Files view filter. This will display both static (CUR) and animated (ANI) cursor files.

  3. Using the left window panel of Explorer, navigate to and select the computer, drive, or folder you want to browse.

  4. In the right window panel of Explorer, the cursor file(s) will display.

Tip

Double-clicking a cursor file in Microangelo Explorer will launch an edit session in Microangelo Studio or Animator.

Related Topics

Browse for icons

Browse for animated resources


Browse for icons

  1. Launch Microangelo Explorer.

  2. Select a view filter (see below).

  3. Using the left window panel of Explorer, navigate to and select the computer, drive, or folder you want to browse.

  4. In the right window panel of Explorer, the icon file(s) will display.

Select a view filter

Use the Display control in Explorer's toolbar to select a view filter that displays icon files:

  • Icon Resources: displays ICO files.

  • Icon Libraries: displays ICL, DLL, EXE, CPL, OCX, and SCR files that contain at least one icon.

  • Icon Files: displays both Icon Resources and Icon Libraries

Tip

Select the Details on the View menu to see how many icons are in each file.

Tip

Double-clicking an icon file in Microangelo Explorer will launch an edit session in Microangelo Studio.

Related Topics

Browse for animated resources

Browse for cursors


Color B in Selection

Studio and Animator enhance operations that use the Selection Frame by allowing Color B to act opaque or transparent.

Color B in Selection is accessed from the Tools menu.
This option is NOT related to transparent areas of images in any way. It only affects pixels inside the selection frame during a paste or move operation.
When set to Color B is Transparent, this option allows irregularly shaped images to be floated over existing artwork in the image by "ignoring"pixels that match Color B. Choose Color B is Transparent to paste or relocate a selection over existing artwork. Any areas inside the Selection Frame that match Color B will allow the pixels below to show through until the operation is complete.
Choose Color B is Opaque to paste solid areas or create text with a background color.

Related Topics

Color A and B usage


Color Blend area

The Palette window includes twelve inkwells in an area for blending new colors when editing 256-color or True Color images. Two funnels are located over the left and right wells.

Blending New Colors

Click in either funnel with the left or right mouse button to pour Color A or Color B into the inkwell below. Ten colors are blended using the contents of the outer inkwells.

256-Color Images

Any color in the blending area must be dragged into an inkwell of the actual palette above before it can be used.

True Color Images

Colors can be selected directly from the blend area and can also be dragged into the inkwells above.


Color depth compatibility issues

Not all hardware and software platforms are capable of supporting all color depths. You should consider the following when deciding what image formats you'd like to provide to your audience:

  • Video configurations may be limited in color depth do to capabilities, available memory, or video driver limitations.

  • Windows 95 does not display icons in greater than 16 colors. A desktop enhancement is required, such as Microangelo or the Windows Plus! Package.

  • Windows NT 4.0 does not display True Color image formats properly. Avoid True Color images if your audience includes NT4 users.

  • Some users may opt to set their icon color depth to 4-bit (16 colors) to reduce system resource usage.

Related Topics

Recommended image formats

When to use True Color images


Color depth overview

Windows icons should include 4-bit (16 color), 8-bit (256-color), and 32-bit (Windows XP) images in multiple sizes.

Here are some other important facts about icon color depth:

Without a utility like Microangelo, original Windows 95 installations are limited to the 16-color default windows palette when displaying icons, no matter how many colors the Windows video configuration supports.
Microangelo's support for 24-bit color (True Color) provides advantages to authors even when their final releases do not include these images. (See, When to use True Color images.)
A common misconception is that more system resources are used for icons whose source images are larger than others. Windows uses the same amount of resources for every icon it displays, no matter what the size of the image is on disk. Windows converts all image formats it processes to the size and color depth that the system is configured to display.

Related Topics

When to use True Color images

Color depth compatibility issues

Recommended image formats

How Windows chooses an image format


Color Locator

The Color Locator is used to locate colors in the editing area and the Palette window. Click on the Color Locator tool button and then click over any pixel in the editing area or any inkwell in the Palette window. All pixels in the editing area that match the color will momentarily blink. The edges of the inkwell containing the color will also blink except when editing a True Color image.

Related Topics

Eyedropper

Color A and B usage


Color palette files

Color palettes can be saved and re-opened when editing images whose color depth is greater than 16 colors.

To save or open a palette file select Save As or Open... by clicking the arrow on the top right side of the palette window.

Windows XP Palette

Windows XP images are not tied to a color palette. Microangelo provides a palette file that includes the primary colors used in Windows XP icons (mswinxp.pal). Opening a new color palette will not have any affect on the image being edited. Color palettes can be saved and re-opened as desired.

256-Color Palette

Images in 256 colors use fixed color palettes. Opening a new color palette causes all colors in the current image to be remapped using the new palette. It is therefore recommended that the desired color palette be opened before beginning a 256-color image.

True Color Palette

True Color images are not tied to a color palette. Opening a new color palette will not have any affect on the image being edited. Color palettes can be saved and re-opened as desired.

Related Topics

Colors and palettes

Palette window

Sorting palette window colors


Creating Icons Overview

Creating Icons for Windows

Overview

This section will familiarize you with the latest style of Windows icon design in preparation for creating your own icons.

Figure 1. Icon samples

Icon Style Characteristics

  1. Color is rich and complementary to the Windows XP look.
  2. Angle and perspective provide a dynamic energy to the images.
  3. Edges and corners of elements are soft and slightly rounded.
  4. Light source is coming from the upper left-hand corner with additional ambient light illuminating other parts of the icon.
  5. The use of gradients provides dimension and gives the icon a richer look.
  6. A drop shadow provides contrast and dimension.
  7. Outlines provide definition.
  8. Everyday objects, such as computers and devices, have a more modern consumer look.

Icon Sizes

There are four sizes of Windows icons—48 × 48, 32 × 32, 24 × 24, and 16 × 16 pixels.

Microsoft recommends that your icon contains these three sizes:

  • 48 × 48 pixels
  • 32 × 32 pixels
  • 16 × 16 pixels

Figure 2. General icon sizes

Icons on the right side of the Start menu are displayed at the 24 × 24 pixels size. This is not a size that you need to provide.

Figure 3. The 24 × 24 size in the Start menu

If you are creating icons for a toolbar, the Windows standard sizes are 24 × 24 and 16 × 16 pixels.

Figure 4. The standard toolbar icon sizes

Icon Color Depth Support

Windows XP supports 32-bit icons, which are 24-bit images with an 8-bit alpha channel. This allows icons to display with smooth edges that appear to blend into any background.

Each Windows XP icon should contain these three color depths to support different monitor display settings:
  • 24-bit with 8-bit alpha (32-bit)
  • 8-bit (256 colors) with 1-bit transparency
  • 4-bit (16 colors) with 1-bit transparency

Figure 5. 32-bit, 8-bit, and 4-bit versions of the My Pictures icon

Color Palette

The following color table illustrates the primary colors used in Windows XP icons. These colors are provided in the first three rows of the mswinxp.pal palette file included with Microangelo.

Figure 6. Windows XP icon color palette

Angle and Grouping of Objects

This is the perspective grid that Windows XP style icons use:

Figure 7. Windows XP icon perspective

Not all objects work well at 16 × 16 at an angle. The following objects are usually shown in a straight-on manner:
  • Document icons
  • Icons that are symbols (such as warning or information icons)
  • Icons that are single objects (such as the magnifying glass)

Figure 8. Straight-on icon examples
(.Jpg Document, Search, and Favorites icons)

Create overlapping secondary objects at an angle unless it makes more sense, due to readability and integrity, that they are rendered straight on. Consider also how your icons may be viewed as a set to help determine how to group objects.

Figure 9. Overlapping examples
(Add or Remove Programs, Print Pictures, Recent Documents)

Drop Shadow

Windows XP icons use a drop shadow to provide definition and added dimension. This effect is easily added in Studio using the Tools -> Windows XP Effects menu. Select Drop Shadow to instantly create a drop shadow effect precisely to Microsoft's XP icon specifications.

Figure 10. Before and after a drop-shadow is added to an icon

Outlines

When illustrating XP-style icons, add an outline to the image to provide definition and ensure that the image works well on different background colors.


Creating Icons Step 1

Creating Icons for Windows

Step 1: Conceptualize

When designing new icons, consider grabbing pen and paper and sketching your ideas out.

Here's an example of an initial sketch for the Windows XP My Pictures icon:

Figure 11. Sketch of My Pictures icon

Considerations when designing icons:

  • Use established concepts where possible to ensure consistency of meanings for the user.
  • Consider how the icon will appear in the context of your user interface and how it might work as part of a set of icons.
  • Consider the cultural impact of your graphics. Avoid using letters, words, hands, or faces in icons. When you must represent people or users, depict them as generically as possible.
  • If combining multiple objects into one image in an icon, consider how the image will scale to smaller sizes. Consider using no more than three objects in an icon. For the 16 × 16 size, you can also consider removing objects or simplifying the image to improve recognition.

    Note Use the following guidelines on the use of the Windows flag in icons:

    • To support trademark and Windows branding guidelines, do not use the Windows flag in icons, with the exception of the Windows Update icon.
    • The Windows flag should only be used in icons that ship as part of the Microsoft® Windows® operating system.
    • The Microsoft branding team should review any usage of the Windows flag in an icon.

Common Icons

Figure 12. Common icons for Windows XP

Common Toolbar Icons

Figure 13. Common toolbar icons for Windows XP


Creating Icons Step 2

Creating Icons for Windows

Step 2: Illustrate

Microangelo Studio provides a broad range of drawing tools, as well as gradient and anti-aliasing effects to create high-quality images. Studio offers additional tools and features when editing Windows XP icons. Authors who demand or require more powerful graphic design features should consider using a vector tool such as Macromedia FreeHand or Adobe Illustrator to create vector graphics and Adobe Photoshop to convert these images into raster graphics of the desired size. Microangelo will accept the Photoshop images directly from PSD files.

Create three sizes of the image. Because there will be a two-pixel drop shadow added to the image later, you should follow these guidelines:

Microangelo: Create Windows XP image formats in the sizes of 48x48, 32x32, and 16x16. Leave the bottom two rows and right two coloumns of pixels empty (transparent).

Photoshop: Create sizes of 46×46, 30×30, and 14×14 pixels.

Use the palette and style characteristics outlined earlier in the Preparation section.

    Note Photoshop is the recommended image creation tool because Microangelo Studio offers a direct import of Photoshop files. Any image created in Photoshop that uses the "RGB" mode has an alpha channel attached. If there is transparency in the image or layer, the alpha channel includes transparency information that Studio processes into the Windows XP image format.


Creating Icons for Windows XP

Creating Icons for Windows

Step 3: Add the Drop Shadow

Microangelo Studio makes this a snap. Perform the following process for each size of XP images included in your project:

  1. Select Windows XP Effects from Studio's
    Tools menu.
  2. Select Drop Shadow.

That's it!


Creating_Icons_Step_4

Creating Icons for Windows

Step 4: Creating the 8-Bit and 4-Bit Images

Creating the 8-Bit Images: Now that you have the 24-bit images ready to be made into 32-bit icons, you need to create 8-bit versions. The 8-bit icons will be displayed in any color mode lower than 32-bit.

The 8-bit versions will not have the 8-bit alpha channel so they will need to have their edges cleaned up as there's no antialiasing (that is, their edges will be jagged).

Select each XP image format in Studio, performing the following steps for each image:

  1. Click the New Image Format tool button.
  2. Use the New Image Format dialog to create a 256 color version of the same size as the XP image. Be sure to select the checkbox, "Begin New Image using Current Image".
  3. Clean up the edges with solid colors, removing any antialiased pixels. Use consistent stair-stepping to make your jagged edges less pronounced.
  4. Check your image on a light background such as white to see how the image looks.

Figure 17. Cleaning up your images for 8-bit color depth

Creating the 4-Bit Images: If you want your icons to look good down-level, provide 16-color versions of your icon.

Select each XP image format in Studio, performing the following steps for each image:

  1. Click the New Image Format tool button.
  2. Use the New Image Format dialog to create a 16 color version of the same size as the XP image. Be sure to select the checkbox, "Begin New Image using Current Image".
  3. Clean up your images using colors from the 16-color palette.
  4. Use a black outline on the bottom and right edges of the image.
  5. Use a dark gray or other dark color outline for the left and top edges of the image.

Figure 18. Example of 4-bit icons


Drawing tools

Drawing and painting tool buttons appear along the left side of the main window. Click on any tool to select it for use.

Small black arrows in the upper right corners of the paint brush, color eraser, and rectangle/ellipse buttons indicate that options are available for these tools. Press and hold these buttons down to access their options.

Pencil - Used to paint pixels. Use the left mouse button to draw with Color A or the right button for Color B. Press and hold SHIFT after pressing the mouse button to confine the painting to pixels in the same row or column.
Straight Line - Used to draw straight lines. Use the left mouse button to draw with Color A or the right button for Color B. Press and hold SHIFT after pressing the mouse button to restrict lines to 45-degree increments.
Paint Brush - Used to paint areas of pixels. Select a brush shape by pressing and holding the paintbrush tool button to access the brush options. Use the left mouse button to draw with Color A or the right button for Color B. Press and hold SHIFT after pressing the mouse button to restrict painting to horizontal or vertical strokes.
Flood - Used to fill areas of one color with another color. Use the left mouse button to draw with Color A or the right button for Color B. Flooding starts with the pixel clicked on and continues until other colors are encountered.
Color Eraser - Used to erase a specific color, replacing it with another color. Select an eraser size by pressing and holding the Color Eraser tool button to access different sizes. Use the left mouse button to replace Color A with Color B or the right button to replace Color B with Color A.
Rectangle/Ellipse - Used to draw rectangles and ellipses. Press and hold the tool button to access drawing options. Choose an outline, filled, or solid shape. Outline shapes are drawn in Color A using the left mouse button or Color B using the right. Filled shapes are drawn in Color A and filled with Color B using the left mouse button and reversed when using the right. Solid shapes are drawn in Color A with the left mouse button and Color B with the right. Press and hold SHIFT after pressing the mouse button to draw perfect squares or circles.
Text - Used to draw text. An Add Text input window is used to enter the text and select the font face, size and style. Text is drawn in Color A. The background of the text area is filled with Color B depending on the current setting for Color B in Selection .


Drop Shadow Effect

Studio provides an option to add a drop shadow when editing Windows XP images. The drop shadow meets Microsoft's light angle and intensity specifications for Windows XP icons.

To use the Drop Shadow effect:

  1. Reserve a minimum of two rows of transparent pixels on the right and bottom edges of your image.

  2. When your image is complete, select Windows XP Effects from the Tools menu and then select Drop Shadow.

Related Topics

Creating Icons Overview


Edges Anti-Alias

Anti-Alias - used to smooth the jagged edges of straight lines and curves by applying varying intensities of color to pixels inside and outside the paint operation. Precision drawing tools (line, rectangle, ellipse and text) are anti-aliased to meet the exact paint operation. Other tools, such as the pencil and the flood tool, attempt to smooth any edges that are detected across the completed paint operation.

Note

Except for Windows XP images, anti-aliasing cannot be performed on edges that border on transparent ink. Only Windows XP icons allow graduations of transparency.


Effect Paint Modifiers

The modifiers on the Effect tab require unlimted access to colors and therefore are only available when editing a True Color or Windows XP image.

Dodge - Used to lighten the colors in an image. The Per cent factor is used to increase the individual red, green and blue components of pixels. Black pixels have RGB components equal to zero and therefore cannot be lightened using the Dodge effect.

Burn - Used to darken colors in an image. The Per cent factor is used to decrease the individual red, green and blue components of pixels.

Gradient - Used to paint an area that gradually changes from one color to another. Click here for more information on gradients.

Note

Dodge or burn cannot be performed on pixels painted with transparent or inverse inks. Windows does not allow graduations of transparency or inverse.


Evaluation

Program Help

The best source of information about what Microangelo can do for you. Includes step-by-step procedures for all program features.

Order Now

Visit our secure online shopping area where you can license Microangelo and immediately download your licensed software.

Order by Fax or by Mail

Open the order form for Microangelo. Fill it out on your computer or print it on your printer. Includes complete information on licensing and ordering.

Microangelo Web Site

Visit Microangelo's web site for the latest updates, icon Artist of the Month, and the Microangelo Community Forum.

Contact Eclipsit

Where to contact us by e-mail, fax, phone or visit us on the web.


Eyedropper

The Eyedropper is used to pick up colors from the Palette window or directly from the editing area. Press the left mouse button to load Color A or the right button to load Color B when the Eyedropper cursor is displayed.

To use the Eyedropper tool inside the editing area:

  • Click on the Eyedropper tool button. The Eyedropper will return to the previous tool after a color is selected.

-or-

  • Press SHIFT while the cursor is over the edit area. The Eyedropper will return to the previous tool when SHIFT is released.

Related Topics

  • Color A and B usage

  • Color Locator


Gradient Paint Modifiers

The modifiers on the Effect tab require unlimited access to colors and therefore are only available when editing True Color and Windows XP images.

Gradient Anchor Points

Anchor points are used to define how a gradient is created. Anchor points can be turned on or off. Anchor points that are turned on can be set to either color A or B. Hold down the SHIFT key and click a button to toggle the anchor point on or off. Click a button that's "on" to toggle between color A and color B.

Gradient (image)

This Effect maps the gradient anchor points over the entire image. The color that any pixel is painted will be relative to the full graphic.

Gradient (area)

This Effect maps the gradient anchor points to the leftmost, topmost, rightmost and bottommost pixels in the current paint operation. The gradient colors are dynamically adjusted during the paint operation for most drawing tools.

Note

A gradient cannot be painted with transparent or inverse inks. Windows does not allow graduations of transparency or inverse.


How Windows chooses an image format

Windows and its applications display different size icons under a variety of conditions. When multiple images are present in an icon or cursor, the following selection rules are applied:

  1. The image closest to the desired size is chosen.

  2. If two or more images of that size are present, the one that matches the current icon color depth is selected.

  3. If none match the color depth exactly, Windows chooses the image with the greatest color depth without exceeding the system icon color depth.

  4. If all the size-matched images exceed the icon color depth, the one with the lowest color depth is chosen.

  5. Windows treats all images of 256 or more colors as equal. For example, it is useless to have a 32x32 256-color image and a 32x32 True Color image in the same resource-Windows will simply choose the first one it encounters.

  6. When the video display mode is set to 256 colors, Windows will prefer a 16-color icon to a 256-color icon, and will display all icons using the system default palette.


Icon Library Definition

Librarian Icon Files

Icon libraries contain only icons and have a file extension of ICL. Librarian allows all types of changes to these files.


Icon sizes and where they are used

Windows platforms use four different sizes of icons, as follows:

Size | Values
Shell Large | User selected. Standard sizes are 32x32 and 48x48.
Shell Small | Size is 16x16 pixels as defined by Windows and cannot be changed.
System Large | Size is defined by the video driver, usually 32x32.
System Small | Size is derived from the size of window captions. The caption size can be adjusted from the Appearance tab in the Display Properties dialog.

Windows displays these sizes in different areas:

Size | Where Used
Shell Large | On the Desktop, and in Large Icon views of Explorer and open folders.
Shell Small | On the Start menu, and in Small Icon, List and Details views of Explorer and open folders.
System Large | In <ALT><TAB> dialog (also known as "Cool Switch").
System Small | Title bar (caption) of application windows.

Related Topics

  • How Windows chooses an image format

  • Recommended image formats


Import Command

Graphics can be opened directly into into the current image using the Import... command. Bitmap (BMP), Photoshop (PSD), and Portable Network Graphic (PNG) files can be imported. Images will be scaled if they cannot fit into the current image. The contents of the graphic being imported will replace the current image.

To import a graphic into an image:

  1. Select Import... from the Edit menu.

  2. Use the Import Graphic File dialog to choose the file to open.

  3. Select OK.

Note

The graphic is opened in actual size, or scaled to fit within the current image. If the color depth of the graphic is greater than that of the image being edited, it will be translated as best as possible to use the colors in the current palette.


Import Command

Importing Graphic Images (drag and drop)

The drag and drop process is the easiest way to import images when that are already in the sizes and color formats you want to create. Bitmap (BMP), Photoshop (PSD), and Portable Network Graphic (PNG) can be imported by simply dragging one or more files and dropping them into Studio's main window. New image formats will be created for each file.

Note

The color depth and size of each image being dropped must be in your Preferences list to be imported. If not, Studio will offer to add the image format automatically or skip the file.


Launch a Microangelo component

  1. Click Start.

  2. Point to Programs.

  3. Point to Microangelo.

  4. Click the Microangelo component you want to launch.


Libraries and Application files

Icon Libraries

Icon Libraries are saved in a format very similar to program files. The only difference is that they contain only icons and nothing more. Icon Libraries usually have a file extension of ICL. Librarian allows all types of changes to these files.

Program Files

These files have the file extensions EXE, DLL, CPL, OCX, and SCR. They contain icons as well as program code and other resources used by the application. Librarian will allow these files to be viewed and allow icons inside of them to be edited. It will not allow icons to be added or deleted. Image formats can be added or removed when running under Windows 2000, XP, or NT4.


Mirror tools (flip image)

Two mirror image tool buttons appear at the top right of the editing area. These buttons are used to flip the entire image or a selected area off the image.

The mirror image buttons will operate on the entire image by default. To flip an area inside of the image, use the Selection Frame to select the area before performing using the mirror tools.

Related Topics

  • Nudge tools (shift image)

  • Rotate tool


Nudge tools (shift image)

Four nudge tool buttons appear at the top right of the editing area. These buttons are used to shift the entire image or a selected area off the image one pixel at a time. The area exposed by the shift is filled with Color B.

The nudge buttons will operate on the entire image by default. To nudge an area inside of the image, use the Selection Frame to select the area before performing the nudge.

Related Topics

  • Mirror tools (flip image)

  • Rotate tool


Palette window

The Palette window contains 16, 256, or more inkwells. The number of ink wells and palette features depends on the current image format.

Palette Window
(non-XP images)

16 color (4-bit) 		256 color (8-bit)
and True Color (24-bit)

Palette Window

  • Standard features

  • Extended features
    for XP images


Palette window features

Palette window (non-XP images)

The Palette window contains inkwells filled with different colors of ink.

To select drawing inks (colors):

  • Choose colors used for Color A or Color B by clicking the left or right mouse button over the inkwell containing the desired color.

  • Select transparent ink by clicking over the inkwell with a blue computer screen.

  • Select inverse ink by clicking over the inkwell with a pink computer screen.

The Palette window operates slightly different depending on the color depth of the current image. The following details describe specific for each color depth.

16 Colors

The Windows standard color palette is used for 16-color images. The colors cannot be changed.

256 Colors

The Palette window includes inkwells for all colors when editing 256-color images. The palette is initialized with the color palette of the image being edited. When a new image 256-color image is created, the palette is initialized with 256 colors from the default palette file (except when the Begin New Image Using Current Image option has been selected).

The colors in the inkwells can be edited by double clicking with the left or right mouse button over the inkwell containing the color to change. If pixels in the current image contain the color being edited, they will also change to the new color. If this will occur, you will be notified before the Edit Color dialog is displayed.

New colors can be mixed in the Color Blend area.

Note

Colors must be dragged into the 256 inkwells above before they can be used.

True Color

The Palette window is initialized with 256 colors from the default palette file.

The colors in the inkwells can be edited by double clicking with the left or right mouse button over the inkwell containing the color to change.

New colors can be mixed in the Color Blend area. Colors can be used directly from the Color Blend area and can also be dragged into the 256 inkwells.

Related Topics

  • Color palette files

  • Sorting palette window colors


Palette window features (XP)

Palette window (XP images)

The Palette window contains 256 or more inkwells. The default edit mode, View Blended/Edit All, also provides the Color Blend area and an Opacity slider control to adjust the transparency level of the palette inks.

Palette Window (XP images) |
 | <-- Click here for Palette Menu
 | <-- Ink Wells
 | <-- Color Blend
 | <-- Opacity slider

  • Choose colors used for Color A or Color B by clicking the left or right mouse button over the inkwell containing the desired color.

  • New colors can be mixed in the Color Blend area. Colors can be used directly from the Color Blend area and can also be dragged into the 256 inkwells.

  • Use the Opacity control to adjust the transparency level of the color inks.

Note

The Opacity control does not adjust the transparency level of Color A or Color B.

Ink Well Selections

The contents and usage of the selections depend on the current editing mode as indicated in the following table:

Mode |  | Ink Wells | Color Blend | Opacity Level
View | Edit
Blended | All | RGB color | Yes | Yes
Blended | Color | RGB color | Yes | No
Blended | Alpha | Opacity level | No | Yes
Color | Color | RGB color | Yes | No
Alpha | Alpha | Opacity level | No | Yes

Related Topics

  • Color palette files

  • Sorting palette window colors


Pixel Paint Modifiers

Used to limit painting operations to even, odd, or every other pixel. The pixel in the upper left corner of the image (0,0) is an odd pixel. All other pixels are calculated odd or even from this origin. The "every other" pixel option paints the pixel directly under than drawing tool and calculates remaining pixels from that origin.

Pixels | Effect
All | Color is applied to all areas a tool operates on.
Every other | Color is applied to every other pixel starting with the pixel that the mouse button was pressed over.
Even | Color is applied to every other pixel based on row and column.
Odd | Color is applied to every other pixel based on row and column.


Recommended image formats

Icon and cursor authors should consider the hardware and software configurations of their target audience. If your audience is not limited to specific hardware and software configurations, you should include multiple image formats. Doing so will guarantee that the images appear as you intended.

Sizes

Microsoft recommends that your icon contain these three sizes:

  • 48 x 48

  • 32 x 32

  • 16 x 16

Color Depths

Each icon should contain these three color depths to support different monitor display settings:

  • 24-bit with 8-bit alpha (Windows XP)

  • 8-bit (256 colors)

  • 4-bit (16 colors)

Related Topics

  • How Windows chooses an image format

  • Color depth compatibility issues


Rotate tool

This button is used to rotate the entire image or a selected area off the image 90, 180, or 270 degrees to the left or right. The area exposed by the rotation is filled with Color B.

The rotate button will operate on the entire image by default. To rotate an area inside of the image, use the Selection Frame to select the area before performing the rotation.

Related Topics

  • Mirror tools (flip image)

  • Nudge tools (shift image)


Screen capture

Studio includes a screen capture feature to acquire graphic images directly from the display. The information is transferred directly to the Windows clipboard. From there it can be pasted into Studio, or any other graphics application that can paste pixel images from the clipboard.

To capture from the screen:

  1. Click on the Screen Capture tool button. The Screen Capture dialog appears.

  2. Select one of the three standard capture sizes, or select Drag Custom Area.

  3. Select OK. Studio will minimize its window and go into capture mode.

  4. For standard capture sizes, move the square capture rectangle over the desired area and click with the left mouse button. If Drag Custom Area was selected, press the left mouse button down over one corner of the desired area and drag to the opposite corner before releasing the mouse button.


Search a drive or folder

Search drive or folder

The Librarian component in Microangelo can be used to scan files on your computer and open all of the icons that it finds into a new workspace. Librarian can scan one or more folders, or an entire disk drive.

To scan drives or folders for icons:

  1. Launch Microangleo Librarian.

  2. Select Search Files from Librarian’s File menu. Use the Search Drive or Folder dialog to navigate to the disk drive or folder that you would like to scan.

  3. Use the Files of type control to select which files should be scanned. Select Icon Files to scan for icons in all file types.

  4. Check the Include Subfolders checkbox if you would like to scan files in folders underneath the location selected in Step 2.

  5. Click on Search.

Related Topics

  • Search multiple drives or folders

  • Add icons to libraries

  • Remove icons from libraries

  • Remove image formats from libraries


Search multiple drives or folders

Microangelo Explorer works together with Librarian to easily scan and open all icons on disk drives and in folders. Simply drag and drop the drives or folders from Explorer’s viewing window into Librarian to initiate the scanning process.

  1. Launch Microangelo Explorer.

  2. Click the Librarian toolbar button in Explorer to launch Librarian.

  3. If necessary, position the Explorer and Librarian windows to allow the drag and drop.

  4. Select one or more drives or folders in Explorer’s viewing windows, then drag and drop them into Librarian’s window.

Tip

Use the right mouse button to drag and drop to allow the choice of beginning a new workspace in Librarian or adding icons to the current workspace.

Related Topics

  • Browse for icons and cursors with Explorer

  • Search a drive or folder with Librarian


Selecting Icons

The following procedures can be used alone or combined to add or remove to the current selection:

  • Left click on any icon to begin a new selection.

  • “Lasso” one or more icons by depressing the left button down outside of an icon and then dragging to select a rectangular area within the workspace.

  • Hold down the CTRL key while left clicking on an icon to add it or remove it from the current selection.


Selection Frame

The Selection Frame is used in conjunction with several editing operations including clipboard functions and text entry. The contents of an active selection can be dragged with the left mouse button to any location in the image.

Click on the Selection Frame tool button to access it directly. Press the left mouse button down over any pixel to define the first corner of a selection. Drag the cursor to the opposite corner and release the mouse button. The rectangular selection is now available for use with clipboard functions or can be moved to another area of the image.

Related Topics

  • Color B in Selection


Sorting palette window colors

The color selections in the Palette window can be presented in their actual palette order, or sorted by hue, lightness or saturation.

To change the order that colors are presented

  1. Click the arrow on the top right side of the palette window.

  2. Select Sort.

  3. Select the sort order you prefer.

Related Topics

  • Colors and palettes

  • Palette window


Texture Grid

Studio provides an option to display a textured background in the editing area for Windows XP images.

Use the Texture Grid tool button or the Texture Grid option on Studio's View menu to turn the texture display on or off.
Customize the appearance of the texture grid using the program Preferences dialog.

Texture Grid


Transparent and Inverse effects

Transparent Ink

When an icon is displayed, pixels in an image filled with transparent ink will display the colors of the pixels underneath. Pixels in inverse ink will appear in different colors than the pixels underneath them. The color displayed is dependent on the color of the pixel underneath. The edit tools can draw and paint with these inks the same as with any normal color.

Select transparent ink by clicking over the inkwell with a blue computer screen in the Palette window.
Select inverse ink by clicking over the inkwell with a pink computer screen in the Palette window.

Inverse Ink

Although this feature is referred to as inverse, the colors that it produces when an icon is displayed over a background are not necessarily opposites by any definition. Windows is dependent on the video mode of the installation when it creates an inverse effect. If the video mode uses a color palette (16 color or 256 color modes), the 'inverse' color that is displayed must exist in the current color palette. In this case Windows chooses the color to display based on the location of the colors in the palette. For example, in 256 color mode the 'inverse' of the color in the first position of the color palette is the color that appears in the last position of the color palette. The inverse of the second color is the color located in the 'last minus one', and so on.

The inverse ink option is not available in Windows XP images.


When to use True Color images

Windows icons often include both 16 and 256-color images in multiple sizes. Microangelo introduced support for True Color icons in 1998.

Authoring Images

If you aren't including Windows XP images in your icons, we strongly advocate developing your hi-color images in True Color (even if you don't publish these images in your final icon resources.) There are significant reasons for this:

  1. True Color images are not limited to a fixed palette of pre-determined colors. It is extremely difficult to edit images and import image data using a fixed 256-color palette. True Color does not require colors to be defined in a palette before they can be used in an image. It is exceedingly easier to build a color palette to support a finished image than to build an image and define allowable colors at the same time.

  2. Microangelo's image editors provide enhanced drawing features that include the ability to create gradients and anti-alias processing to smooth the appearance of jagged edges. These features are only available when editing a True Color image.

  3. The editors also provide high-quality color reduction algorithms that can create 256-color image formats from your final True Color images. You can easily create 256-color images from your True Color originals.

Windows Image Selection

Windows does not recognize any difference between image formats that have 8-bit color or greater when it chooses an image from an icon resource. For this reason you should not include 256-color images and True Color images of the same size. Windows will always treat these images equally and choose the first hi-color image it finds.

Platform Compatibility (Windows NT4)

The good news here is that Windows 95, 98 and Windows Me all support True Color images and a True Color system color depth flawlessly. The bad news is that the Windows NT shell has never properly displayed True Color icon images throughout all of its service packs. Although the shell in Windows 2000 appears to display TC icons correctly, a debugging environment shows that the Win2K shell generates heap errors every time it encounters a True Color image in an icon. Microsoft was aware of this months before the release of Win2K, yet the errors persist following the distribution and installation of the first Win2K service pack. For these reasons it is clear that True Color images must be avoided if the target audience may include NT systems.


Windows XP Edit Modes

Microangelo Studio provides five editing modes to choose from when editing Windows XP images. The default edit mode is View Blended/Edit All.

Choose an edit mode using the drop-down control on the right side of Studio's top toolbar:

Edit Mode Selection

Tip

The Ctrl+1 through Ctrl+5 keyboard shortcuts can also be used to select an edit mode.

Comparing Edit Modes

The following table illustrates the differences between the five edit modes:

Mode |  | Ink Wells | Color Blend | Opacity Level
View | Edit
Blended | All | RGB color | Yes | Yes
Blended | Color | RGB color | Yes | No
Blended | Alpha | Opacity level | No | Yes
Color | Color | RGB color | Yes | No
Alpha | Alpha | Opacity level | No | Yes

Tip

Use View Blended/Edit All to lay the foundation of your image. The four other edit modes should usually be used for touching up small details or creative/unusual effects.

Opacity control

The Opacity slider control on the Palette window adjusts the level of transparency of the inks in the color palette. (Only available in View Blended/Edit All editing mode.)

Note

The Opacity control does not adjust the transparency level of Color A or Color B.

Related Topics

  • Color palette files

  • Sorting palette window colors


Windows XP Icons

Windows XP introduces a new, richer image format for desktop icons not supported by earlier versions of Windows.
"Pre-XP" icons
 | Limited to 256 colors.
 | Colors are tied to a fixed color palette, placing restrictions on the use of color. Colors must be pre-defined in the color palette before they can be used. Prevents the use of anti-alias and gradient effects.
 | Only two levels of transparency (completely transparent or completely opaque).
Windows XP icons
 | Can contain any of 16 million colors (True Color).
 | Does not use a color palette. Any of 16 million colors can be applied at will.
 | 8-bit "alpha" channel provides 256 levels of transparency.

Related Topics

  • Creating Icons for Windows